{% extends 'layouts/main-habilitation.html' %}

{% load static ac_common %}

{% block title %}Aidants Connect - Espace Aidant{% endblock %}

{% block extracss %}
  <link href="{% static 'css/espace-aidant.css' %}" rel="stylesheet">
{% endblock extracss %}

{% block content %}
  <div class="fr-container">
    {% if messages %}
      {% for message in messages %}
        <div class="notification {% if message.tags %}{{ message.tags }}{% endif %}"
             role="alert">{{ message }}</div>
      {% endfor %}
    {% endif %}
    <h1>
      {% if aidant.can_create_mandats %}Espace Aidant{% else %}Aidants Connect{% endif %}
      {% if aidant.first_name %}<p class="h2">Bienvenue, {{ aidant.first_name }} !</p>{% endif %}
    </h1>
    <p class="subtitle">
      Gérez vos mandats et personnes accompagnées depuis votre espace Aidant.
      Si vous avez besoin d’aide, nos équipes sont également joignables depuis cette
      page.
    </p>
    {% include "aidants_connect_web/espace_aidant/notifications.html" with user=aidant %}
    {% if aidant.organisations.count > 1 %}
      <div class="notification full-width">
        Votre organisation active est <strong>{{ aidant.organisation }}</strong>
        — {{ aidant.organisation.address }}.
      </div>
    {% endif %}
    <section class="section tiles aidant-home-services">
      <h3 class="home-section">Vos services</h3>
      <div class="fr-grid-row fr-grid-row--gutters">
        {% if aidant.is_responsable_structure %}
          <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
            <a id="view_organisation" class="tile"
               href="{% url 'espace_responsable_home' %}">
              <span aria-hidden="true">🏢<br/></span>Mon espace responsable
            </a>
          </div>
          {% if not aidant.has_a_totp_device %}
            <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
              <a id="view_organisation" class="tile"
                 href="{% url "espace_responsable_associate_totp" aidant_id=aidant.id %}">
                <span aria-hidden="true">💳<br/></span>Activer ma carte
              </a>
            </div>
          {% endif %}
        {% else %}
          <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
            <a id="view_organisation" class="tile"
               href="{% url 'espace_aidant_organisation' %}">
              <span aria-hidden="true">🏢<br/></span>Mon organisation
            </a>
          </div>
        {% endif %}
        {% if aidant.can_create_mandats %}
          <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
            <a id="view_mandats" class="tile" href="{% url 'usagers' %}">
              <span aria-hidden="true">📂<br/></span>Mes mandats
            </a>
          </div>
          <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
            <a id="add_usager" class="tile" href="{% url 'new_mandat' %}">
              <span aria-hidden="true">📝<br/></span>Créer un mandat
            </a>
          </div>
        {% endif %}

        <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
          <a id="ask_for_help" class="tile" href="{{ sos_href }}">
            <span aria-hidden="true">🆘<br/></span>J’ai besoin d’aide
          </a>
        </div>

        <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
          <a id="help_tutorial" class="tile"
             href="https://www.etsijaccompagnais.fr/tutoriel-aidants-connect">
            <span aria-hidden="true">💡<br/></span>Tutoriel Aidants Connect
          </a>
        </div>
        {% if request.user.organisations.count > 1 and not disable_change_organisation %}
          <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
            <a
              href="{% url 'espace_aidant_switch_main_organisation' %}?next={{ request.get_full_path|urlencode:'' }}"
              class="tile"
            >
              <span aria-hidden="true">🏢 &rarr;️ 🏢<br/></span>Changer d'organisation
            </a>
          </div>
        {% endif %}

        <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
          <a href="{%  url 'sandbox_presentation' %}" class="tile">
            <span aria-hidden="true"><img alt="" class="icon" src="{% static "images/icons/sandbox-icon.png" %}"><br/></span>
            Site bac à sable
          </a>
        </div>
      </div>
    </section>
    <section class="section ">
      <h3 class="home-section">Vos ressources</h3>
      {% include 'public_website/resource_list.html' %}
    </section>

  </div>
{% endblock content %}
